Index: libgda/gda-parameter-list.c
--- libgda/gda-parameter-list.c.orig	2006-10-12 10:10:46 +0200
+++ libgda/gda-parameter-list.c	2006-11-12 10:26:13 +0100
@@ -276,11 +276,11 @@
 		else if (type == GDA_TYPE_SHORT)
 			gda_value_set_short (value, va_arg (ap, int));
 		else if (type == GDA_TYPE_USHORT)
-			gda_value_set_ushort (value, va_arg (ap, uint));
+			gda_value_set_ushort (value, va_arg (ap, unsigned int));
 		else if (type == G_TYPE_CHAR)
 			g_value_set_char (value, va_arg (ap, int));
 		else if (type == G_TYPE_UCHAR)
-			g_value_set_uchar (value, va_arg (ap, uint));
+			g_value_set_uchar (value, va_arg (ap, unsigned int));
 		else if (type == G_TYPE_FLOAT)
 			g_value_set_float (value, va_arg (ap, double));
 		else if (type == G_TYPE_DOUBLE)
Index: providers/sqlite/gda-sqlite-provider.c
--- providers/sqlite/gda-sqlite-provider.c.orig	2006-10-13 20:28:55 +0200
+++ providers/sqlite/gda-sqlite-provider.c	2006-11-12 10:26:13 +0100
@@ -23,6 +23,7 @@
  */
 
 #include <stdlib.h>
+#include <string.h>
 #include <errno.h>
 #include <glib/gi18n-lib.h>
 #include <glib/gstdio.h>
Index: providers/sqlite/sqlite-src/fts1.c
--- providers/sqlite/sqlite-src/fts1.c.orig	2006-10-13 15:14:35 +0200
+++ providers/sqlite/sqlite-src/fts1.c	2006-11-12 10:26:13 +0100
@@ -19,11 +19,7 @@
 #endif
 
 #include <assert.h>
-#if !defined(__APPLE__)
-#include <malloc.h>
-#else
 #include <stdlib.h>
-#endif
 #include <stdio.h>
 #include <string.h>
 #include <ctype.h>
Index: providers/sqlite/sqlite-src/fts1_porter.c
--- providers/sqlite/sqlite-src/fts1_porter.c.orig	2006-10-13 15:14:35 +0200
+++ providers/sqlite/sqlite-src/fts1_porter.c	2006-11-12 11:19:11 +0100
@@ -26,11 +26,7 @@
 
 
 #include <assert.h>
-#if !defined(__APPLE__)
-#include <malloc.h>
-#else
 #include <stdlib.h>
-#endif
 #include <stdio.h>
 #include <string.h>
 #include <ctype.h>
Index: providers/sqlite/sqlite-src/fts1_tokenizer1.c
--- providers/sqlite/sqlite-src/fts1_tokenizer1.c.orig	2006-10-13 15:14:35 +0200
+++ providers/sqlite/sqlite-src/fts1_tokenizer1.c	2006-11-12 11:19:23 +0100
@@ -18,11 +18,7 @@
 
 
 #include <assert.h>
-#if !defined(__APPLE__)
-#include <malloc.h>
-#else
 #include <stdlib.h>
-#endif
 #include <stdio.h>
 #include <string.h>
 #include <ctype.h>
Index: report/testing/Makefile.in
--- report/testing/Makefile.in.orig	2006-10-24 15:29:33 +0200
+++ report/testing/Makefile.in	2006-11-12 10:26:13 +0100
@@ -340,7 +340,7 @@
 gda_report_test_SOURCES = \
         gda-report-test.c
 
-gda_report_test_LDADD = \
+gda_report_test_LDADD = -static \
         $(top_builddir)/libgda/libgda-3.la \
         $(top_builddir)/libgda/graph/libgda_graph-3.la \
 	$(top_builddir)/libgda/handlers/libgda_handlers-3.la \
Index: testing/Makefile.in
--- testing/Makefile.in.orig	2006-10-24 15:29:33 +0200
+++ testing/Makefile.in	2006-11-12 10:26:13 +0100
@@ -368,7 +368,7 @@
 	html.c \
         gda-test-sql.c
 
-gda_test_sql_LDADD = \
+gda_test_sql_LDADD = -static \
         $(top_builddir)/libgda/libgda-3.la \
         $(top_builddir)/libgda/handlers/libgda_handlers-3.la \
         $(top_builddir)/libgda/graph/libgda_graph-3.la \
@@ -380,7 +380,7 @@
         html.c \
         gda-test-models.c
 
-gda_test_models_LDADD = \
+gda_test_models_LDADD = -static \
         $(top_builddir)/libgda/libgda-3.la \
         $(top_builddir)/libgda/handlers/libgda_handlers-3.la \
         $(top_builddir)/libgda/graph/libgda_graph-3.la \
Index: tools/Makefile.in
--- tools/Makefile.in.orig	2006-10-24 15:29:33 +0200
+++ tools/Makefile.in	2006-11-12 10:26:13 +0100
@@ -519,22 +519,22 @@
 	done
 gda-author-dict-file$(EXEEXT): $(gda_author_dict_file_OBJECTS) $(gda_author_dict_file_DEPENDENCIES) 
 	@rm -f gda-author-dict-file$(EXEEXT)
-	$(LINK) $(gda_author_dict_file_LDFLAGS) $(gda_author_dict_file_OBJECTS) $(gda_author_dict_file_LDADD) $(LIBS)
+	$(LINK) -static $(gda_author_dict_file_LDFLAGS) $(gda_author_dict_file_OBJECTS) $(gda_author_dict_file_LDADD) $(LIBS)
 gda-config-tool$(EXEEXT): $(gda_config_tool_OBJECTS) $(gda_config_tool_DEPENDENCIES) 
 	@rm -f gda-config-tool$(EXEEXT)
-	$(LINK) $(gda_config_tool_LDFLAGS) $(gda_config_tool_OBJECTS) $(gda_config_tool_LDADD) $(LIBS)
+	$(LINK) -static $(gda_config_tool_LDFLAGS) $(gda_config_tool_OBJECTS) $(gda_config_tool_LDADD) $(LIBS)
 gda-diagnose$(EXEEXT): $(gda_diagnose_OBJECTS) $(gda_diagnose_DEPENDENCIES) 
 	@rm -f gda-diagnose$(EXEEXT)
-	$(LINK) $(gda_diagnose_LDFLAGS) $(gda_diagnose_OBJECTS) $(gda_diagnose_LDADD) $(LIBS)
+	$(LINK) -static $(gda_diagnose_LDFLAGS) $(gda_diagnose_OBJECTS) $(gda_diagnose_LDADD) $(LIBS)
 gda-inspect-dict-file$(EXEEXT): $(gda_inspect_dict_file_OBJECTS) $(gda_inspect_dict_file_DEPENDENCIES) 
 	@rm -f gda-inspect-dict-file$(EXEEXT)
-	$(LINK) $(gda_inspect_dict_file_LDFLAGS) $(gda_inspect_dict_file_OBJECTS) $(gda_inspect_dict_file_LDADD) $(LIBS)
+	$(LINK) -static $(gda_inspect_dict_file_LDFLAGS) $(gda_inspect_dict_file_OBJECTS) $(gda_inspect_dict_file_LDADD) $(LIBS)
 gda-list-config$(EXEEXT): $(gda_list_config_OBJECTS) $(gda_list_config_DEPENDENCIES) 
 	@rm -f gda-list-config$(EXEEXT)
-	$(LINK) $(gda_list_config_LDFLAGS) $(gda_list_config_OBJECTS) $(gda_list_config_LDADD) $(LIBS)
+	$(LINK) -static $(gda_list_config_LDFLAGS) $(gda_list_config_OBJECTS) $(gda_list_config_LDADD) $(LIBS)
 gda-run$(EXEEXT): $(gda_run_OBJECTS) $(gda_run_DEPENDENCIES) 
 	@rm -f gda-run$(EXEEXT)
-	$(LINK) $(gda_run_LDFLAGS) $(gda_run_OBJECTS) $(gda_run_LDADD) $(LIBS)
+	$(LINK) -static $(gda_run_LDFLAGS) $(gda_run_OBJECTS) $(gda_run_LDADD) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
